netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
dsitem Struct Reference

## Data Fields
cnid_t | ds_did
uint32_t | ds_checked

## Detailed Description

Directory tree search is recursive by its nature. But AFP specification requires FPCatSearch to pause after returning n results and be able to resume the search later. So we have to do recursive search using flat (iterative) algorithm and remember all directories to look into in an stack-like structure. The structure below is one item of directory stack.

## Field Documentation

## ◆ ds_checked

uint32_t dsitem::ds_checked

Have we checked this directory ?

## ◆ ds_did

cnid_t dsitem::ds_did

CNID of this directory

The documentation for this struct was generated from the following file:

- catsearch.c